wms (xyz) provider throws an infinite amount of console debug msg under specific circumstances

2018-11-05 10:37 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28183

Description

OK, that one is odd. A critical bug in the wms provider is triggered by the browser panel's preview under a specific set of circumstances.

Steps to reproduce

    1. Launch QGIS and open the browser panel

    2. Add a XYZ item to the browser panel's XYZ node (use the following URL: 

https://services.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/tile/{z}/{y}/{x})

    3. Make sure the newly-added XYZ item isn't selected yet

    4. Activate the preview section of the browser panel

    5. Select the newly-added XYZ item (do not open the preview tab)

    6. Double-click on the XYZ item to add it to the main canvas

    7. At that stage, if your console is open, you'll see a flood of messages (see video 

https://www.youtube.com/watch?v=Ab0q0Pr5zYs&#38;feature=youtu.be)

    8. If you try to shutdown QGIS, it'll freeze, stuck in the infinite loop of console debug messages

    9. Alternatively, if you open the preview tab in the browser panel, the console flood stops, and QGIS will exit properly

I'm attaching the debug log output in case it's of help.

Associated revisions

Revision c54c5597 - 2018-11-06 03:23 AM - Nyall Dawson

Ensure browser preview canvases don't get treated like map canvas

docks

They have their own special logic, and shouldn't respond to

any project based settings or triggers

Fixes #20362

Revision 3730579d - 2018-11-10 07:16 AM - Nyall Dawson

Ensure browser preview canvases don't get treated like map canvas

docks

They have their own special logic, and shouldn't respond to

any project based settings or triggers

Fixes #20362
https://services.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/tile/{z}/{y}/{x}
https://www.youtube.com/watch?v=Ab0q0Pr5zYs&#38;feature=youtu.be


(cherry picked from commit c54c5597232a5f50e1967ec3a552c2c02b1da0af)

History

#1 - 2018-11-05 10:39 AM - Mathieu Pellerin - nIRV

- Description updated

#2 - 2018-11-06 03:22 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|c54c5597232a5f50e1967ec3a552c2c02b1da0af.
